--[[
This is the configuration file for HoxHud. Please be careful editing values as you can cause the game to crash upon loading if a value is made invalid

We recommend colorpicker.com if you want to choose a color to use. The game also has some predefined colors and they are used here purely for brevity.

Only the following Colors are defined explicitly:

Color List
	Color.white
	Color.black
	Color.red
	Color.green
	Color.blue
	Color.yellow
	Color.purple
	Color.orange
	Color.fatal Default non headshot color
]]--

HoxHudTweakData = HoxHudTweakData or class()

function HoxHudTweakData:init()
	Color.orange = Color("FF8800")
	Color.purple = Color("FF00FF")
	Color.fatal = Color("FF8400")
	self.fabulousdimitry = true --Auto-enabled easter egg, aren't you approved testers lucky?

	--these values control the health ring that appears when you target an NPC
	self.disable_health_circle = false
	self.enemy_health_size = 100
	self.enemy_health_vertical_offset = 110 --Change this to 15 if you prefer the old location. -400 to hide it.
	self.enemy_health_horizontal_offset = 0 --Change this to move it left or right from the center. negative values move it left.
	self.enemy_hurt_color = Color.orange --Color for enemy health ring to flash on a non-fatal hit.
	self.enemy_kill_color = Color.red --Color for enemy health ring to flash on a fatal hit.
	self.show_multiplied_enemy_health = true --displays enemy health multiplied by 10 (makes it consistent with weapon stats)
	self.ignore_civilian_health = true
	
	--These values control the damage counter that appears over the head of an enemy when you damage them.
	self.disable_damage_counter = false --Set this to true if you don't want the in-world damage counters.
	self.show_damage_per_hit = false --Set to true if you prefer a separate damage text item for every bullet.
	self.dmg_counter_ignore_civilians = true --Set to false if you want to see the in-world damage counters on civilians.
	self.normal_hit_color = Color.white --Colour to use while the enemy is still alive.
	self.fatal_hit_color = Color.fatal --Colour to use when the enemy is killed.
	self.normal_hit_change_per_tick = Vector3(0, 0, 0.1) --Coordinates to add to a normal hit every tick. (the default makes it move upwards slowly)
	self.fatal_hit_change_per_tick = Vector3(0, 0, 0.5) --Coordinates to add to a fatal hit every tick. (the default makes it move upwards at a medium rate)
	self.headshot_kill_flash_color = Color.white --Color to flash behind the counter when killed with a headshot.
	self.hit_display_duration = 3.5 --Time in seconds to display damage counter for.
	self.unit_offset = Vector3(0, 0, 60) --Offset from the enemy's head in X, Y, Z values. Recommended not to change this.
	self.workspace_size = {150, 100} --Canvas size for the in-world workspace in width and height respectively. Recommended not to change this.
	self.text_scaling = 50 --Scaling value for text (size). Recommended not to change this.
	self.text_font_size = 60 --Original font size to use on text object. Recommended not to change this.
	self.flash_offset = { -100, -35 } --Offset as X and Y coords for the flashing displayed on a headshot. Recommended not to change this.
	self.flash_dimensions = { 200, 300 } --Size of the flash object as height and width. Recommended not to change this.
	
	self.basic_damage_boost_glow_color = Color("FFA500")
	self.strong_damage_boost_glow_color = Color.red
	self.damage_boost_flash_speed = 4

end