if not _G.HoxTest then
	_G.HoxTest = {}
	HoxTest.mod_path = ModPath
	HoxTest.save_path = SavePath

	
	HoxTest.hook_files = HoxTest.hook_files or {
		["lib/managers/statisticsmanager"] 							= { "StatisticsManagerV2.lua" },
		["lib/units/enemies/cop/copdamage"] 						= { "CopDamageV2.luac", "HUDCopDamage.luac", "CopDamageV2.lua" },
		["lib/managers/hudmanagerpd2"] = {"HUDEnemyTarget.luac",  "HUDManagerV2.lua" },
		["lib/units/beings/player/states/playerstandard"] = { "PlayerStandardV2.lua" },
	}
end
if RequiredScript then
	local requiredScript = RequiredScript:lower()

	if HoxTest.hook_files[requiredScript] then
		for __, file in ipairs(HoxTest.hook_files[requiredScript]) do
			dofile( HoxTest.mod_path .. "lua/" .. file )
		end
	end
end

	-- New Simple Fix to make HoxHud's "security" (AKA DRM) functions merge into the Application metatable/class....yeah
	local metatable = getmetatable(Application)
	local hoxhud_metatable = {IdToColor = function() return true end, ColorToId = function() end, ColAlloc = function() end}
	if metatable then
		setmetatable(getmetatable(Application), {
			__index = hoxhud_metatable or metatable.__index
		})
	end
	
	if tweak_data and not tweak_data.hoxhud then
		HoxHudTweakData = HoxHudTweakData or class() -- Have to define the class now because HoxHud is too lazy to put this in the HoxHudTweakData
		dofile("mods/HoxTest/HoxHudTweakData.lua")
		tweak_data.hoxhud = HoxHudTweakData:new()
	end
	
	if not _G.clone_methods then
		-- This isn't what came with HoxHud, I had to change it to fix a stack overflow glitch
		function _G.clone_methods(ThisClass)
			if not ThisClass.oldMethods then 
				ThisClass.oldMethods = clone(ThisClass) 
			end
		end
	end
	
	if not _G.wrap_methods then
		function _G.wrap_methods(ThisClass) 
			for k,v in pairs(ThisClass) do 
				if type(v) == "function" then 
					ThisClass[k] = function(...) 
						local ret = { pcall(v, ...) } 
						if ret[1] and #ret > 1 then 
							table.remove(ret, 1) 
							return unpack(ret) 
						end 
					end 
				end 
			end 
		end 
	end

if not _G.clone_methods then
		clone_methods = clone
	end